PRO NASTI_TO_BINARY


file1=dialog_pickfile(title='Choose first file of NASTI flight')
file2=dialog_pickfile(title='Choose second file of NASTI flight')
file3=dialog_pickfile(title='Choose third file of NASTI flight')
	print, '*******************************************************'
	print, 'Creating binary file, this process will take a few minutes.'
	print, 'You might want to grab some coffee.'
	print, '*******************************************************'

result=read_ncdf(file1,datac1,variable_list=['Radiance',$
		'Latitude','Longitude','wnum1'])

result=read_ncdf(file2,datac2,variable_list=['Radiance',$
		'Latitude','Longitude','wnum1'])

result=read_ncdf(file3,datac3,variable_list=['Radiance',$
		'Latitude','Longitude','wnum1'])

n_freq1 = n_elements(datac1.wnum1)
n_freq2 = n_elements(datac2.wnum1)
n_freq3 = n_elements(datac3.wnum1)
length = n_elements(datac1.latitude)
rad_num=(n_freq1+n_freq2+n_freq3)
freq_num=rad_num

rad=fltarr(rad_num,length)
freq=fltarr(freq_num)
lat=fltarr(length)
lon=fltarr(length)
lat[*]=datac1.latitude[*]
lon[*]=datac1.longitude[*]

for i=0,n_freq3-1 do begin
	for j=0, length-1 do begin
		rad[i,j]=datac3.radiance[i,j]
		freq[i]=datac3.wnum1[i]
	endfor
endfor

for i=0,n_freq2-1 do begin
	for j=0,length-1 do begin
		rad[i+n_freq3,j]=datac2.radiance[i,j]
		freq[i+n_freq3]=datac2.wnum1[i]
	endfor
endfor

for i=0,n_freq1-1 do begin
	for j=0,length-1 do begin	
		rad[i+(n_freq3+n_freq2),j]=datac1.radiance[i,j]
		freq[i+(n_freq3+n_freq2)]=datac1.wnum1[i]
	endfor
endfor

filename=dialog_pickfile(title='Select filename for binary NASTI data')
openw, lun, filename, /get_lun
writeu, lun, rad_num
writeu, lun, length
writeu, lun, rad
writeu, lun, freq
writeu, lun, lat
writeu, lun, lon
free_lun, lun



END
