PRO READ_BINARY

bt=fltarr(1,13,50)
bt2=fltarr(1,13,50)
lat=fltarr(13,50)
lon=fltarr(13,50)

filename=dialog_pickfile(title='Pick a file!')
openr, lun, filename, /get_lun
readu, lun, bt
readu, lun, lat
readu, lun, lon
free_lun, lun

filename2=dialog_pickfile(title='Pick a file!')
openr, lun, filename2, /get_lun
readu, lun, bt2
free_lun, lun

;latfile=dialog_pickfile(title='Pick Latitude file')
;openr, lun, latfile, /get_lun
;readu, lun, lat
;free_lun, lun

;lonfile=dialog_pickfile(title='Pick Longitude file')
;openr, lun, lonfile, /get_lun
;readu, lun, lon
;free_lun, lun


diff=(bt[*,*,*]-bt2[*,*,*])
diff=diff*100
help, diff
print, min(diff), max(diff)
window, /free, xsize=360,ysize=540
device, decomposed=0
blank_color=2
back_color=0
text_color=3
loadct, 13
stretch,4,!d.table_size-1,0.5
loadct, 0, ncolors=4,bottom=0
erase,color=back_color
tvlct,r,g,b,/GET
image2=bytscl(diff,-120,-100,TOP=!D.TABLE_SIZE-5)+4B

lat=congrid(lat,104,808,interp=1)
lon=congrid(lon,104,808,interp=1)
image2=congrid(image2,1,104,808)
imagemap, image2, lat, lon,Range=[4,!D.TABLE_SIZE-1],Position=[0.01,0.10,0.99,0.99],/noerase,missing=blank_color,/noborder
map_continents, /countries, /coasts,/hires, color=text_color



	label='ABI 6.2 um - 6.2 um (adjusted) BT Difference (K * 100)'

    cbar,0.2,0.07,[-120,-100],[4,!d.table_size-1],$
     5,0,xsize=0.50,ysize=0.025,$
     label=label, $
     charsize=1.0,charthick=0.75,tcolor=text_color
savename=dialog_pickfile(title='Enter difference image name')
saveimage, savename, /png

END
